com.atid.lib.module.barcode.params

## Class SymbolStateList

- java.lang.Object
- - com.atid.lib.module.barcode.params.SymbolStateList

-     public class SymbolStateList
      extends java.lang.Object

  The SymbolStateList class is used to set or return symbol status to the barcode module. ATD100 is not supported.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SymbolStateList()` Create an instance of the SymbolStateList class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(com.atid.lib.module.barcode.types.BarcodeType type, boolean used)` Add symbol state information to the SymbolStateList instance.
    `void` | `addAll(SymbolStateList list)` Add all the information for the SymbolStateList instance.
    `void` | `clear()` Deletes all information in the SymbolStateList instance.
    `int` | `getCount()` Returns the type of symbol stored in the SymbolStateList instance and the number of pieces of information in the state pair.
    `com.atid.lib.module.barcode.types.BarcodeType` | `getType(int position)` Returns the barcode type at the specified index.
    `boolean` | `getUsed(int position)` Returns the status of the bar code symbol at the specified index.
    `void` | `setUsed(int position, boolean used)` Sets the state of the bar code symbol at the specified index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SymbolStateList

          public SymbolStateList()

      Create an instance of the SymbolStateList class.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the type of symbol stored in the SymbolStateList instance and the number of pieces of information in the state pair.
      Returns:
        An integer representing the count.

    - #### getType

          public com.atid.lib.module.barcode.types.BarcodeType getType(int position)

      Returns the barcode type at the specified index.
      Parameters:
        `position` - An identifier representing the location of the information in the SymbolStateList.
      Returns:
        BarcodeType enumeration representing the barcode type.

    - #### getUsed

          public boolean getUsed(int position)

      Returns the status of the bar code symbol at the specified index.
      Parameters:
        `position` - An identifier representing the location of the information in the SymbolStateList.
      Returns:
        A boolean indicating the activation status of the symbol.

    - #### setUsed

          public void setUsed(int position,
                              boolean used)

      Sets the state of the bar code symbol at the specified index.
      Parameters:
        `position` - An identifier representing the location of the information in the SymbolStateList.
        `used` - A boolean indicating the activation status of the symbol.

    - #### clear

          public void clear()

      Deletes all information in the SymbolStateList instance.

    - #### add

          public void add(com.atid.lib.module.barcode.types.BarcodeType type,
                          boolean used)

      Add symbol state information to the SymbolStateList instance.
      Parameters:
        `type` - BarcodeType enumeration representing the barcode type.
        `used` - A boolean indicating the activation status of the symbol.

    - #### addAll

          public void addAll(SymbolStateList list)

      Add all the information for the SymbolStateList instance.
      Parameters:
        `list` - An instance of SymbolStateList with added symbol state information.